import * as $dara from '@darabonba/typescript';
import { DetachNetworkInterfaceResponseBody } from "./DetachNetworkInterfaceResponseBody";
export declare class DetachNetworkInterfaceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DetachNetworkInterfaceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
